## org.eclipse.datatools.sqltools.data.internal.core.extract
Class ExtractData

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.core.extract.ExtractData

    public class ExtractData

extends java.lang.Object

Class contains facilities to extract the table content into a system file. The character encoding used to save the file is UTF-8.

Constructor Summary
`ExtractData(Table table, java.lang.String filePath)`

Method Summary
`int` `doExtract(Output output)` Extracts content to a file.
`java.lang.String` `getVal(java.sql.ResultSet rs, int column)`
`void` `setDelims(java.lang.String colDelim, java.lang.String stringDelim)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtractData

    public ExtractData(Table table,
                       java.lang.String filePath)

Method Detail

### setDelims

    public void setDelims(java.lang.String colDelim,
                          java.lang.String stringDelim)

### doExtract

    public int doExtract(Output output)

  Extracts content to a file. Uses UTF-8 as the character encoding.

### getVal

    public java.lang.String getVal(java.sql.ResultSet rs,
                                   int column)
                            throws java.sql.SQLException,
                                   java.io.IOException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`